import React, {Component} from 'react';
import Footer from './Footer'
import {withRouter} from 'react-router-dom'
import './index.less'


class CommonLayout extends Component {
    constructor(){
        super();
        this.resize = this.resize.bind(this)
    }
    resize = (defaultH) => {
        const scrollHeight = document.body.scrollHeight;
        const footer = document.getElementById("footer");
        const content = document.getElementById("common-content")
        if (footer) {
            if (defaultH > scrollHeight) {
                footer.classList.remove('footer');
                footer.classList.add('footer-static')
            }else {
                footer.classList.add('footer')
                footer.classList.remove('footer-static');

            }
        }
        if (content) {
            if (defaultH > scrollHeight) {
                content.classList.remove('common-layout-content');
                content.classList.add('common-layout-content-static');
            }else {
                content.classList.add('common-layout-content');
                content.classList.remove('common-layout-content-static');
            }
        }

        // alert(`defaultH: ${defaultH}   clientHeight: ${scrollHeight}`);
    }
    componentWillMount() {
        const defaultH = document.body.scrollHeight;
        window.addEventListener('resize', () => this.resize(defaultH))
    }
    componentWillUnmount() {
        window.addEventListener('resize', this.resize)
    }
    render() {
        return (
            <div>
                <div id="common-content" className="common-layout-content">
                    <div>
                        {this.props.children}
                    </div>

                </div>
                <Footer {...this.props}/>
            </div>
        );
    }
}




export default withRouter(CommonLayout) ;
